- entityDefinitions:
  - IDC_FilterByTypeOp: '{8344a933-bb49-4d1c-b92a-a044fc9b9611}'

  - IDR_Filter_By_Type_Op__uses__Class: '{2f5fddc8-5ab0-4c59-8a83-536a2ce0a30c}'
  - IDR_Class__used_by__Filter_By_Type_Op: '{2c0e2972-5643-431d-a71e-a8ec09605aa0}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_FilterByTypeOp;'
    name: Filter by Type Op
    index: 3967
    superclasses:
    - instance: '&IDC_InstanceOp;'
  
  - relationship: '&IDR_Filter_By_Type_Op__uses__Class;'
    index: 11101
    sourceClassId: '&IDC_FilterByTypeOp;'
    type: 'uses'
    destinationClassId: '&IDC_Class;'
    siblingRelationshipId: '&IDR_Class__used_by__Filter_By_Type_Op;'
    singular: yes

  - relationship: '&IDR_Class__used_by__Filter_By_Type_Op;'
    index: 11102
    sourceClassId: '&IDC_Class;'
    type: 'used by'
    destinationClassId: '&IDC_FilterByTypeOp;'
    siblingRelationshipId: '&IDR_Filter_By_Type_Op__uses__Class;'
    singular: no
